
<div *ngIf="returDocument">
    <h2><span jhiTranslate="mpmApp.returDocument.detail.title">Retur Document</span> {{returDocument.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="mpmApp.returDocument.iddocretur">Iddocretur</span></dt>
        <dd>
            <span>{{returDocument.iddocretur}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.returDocument.idretur">Idretur</span></dt>
        <dd>
            <span>{{returDocument.idretur}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.returDocument.doctype">Doctype</span></dt>
        <dd>
            <span>{{returDocument.doctype}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.returDocument.doc">Doc</span></dt>
        <dd>
            <div *ngIf="returDocument.doc">
                <a (click)="openFile(returDocument.docContentType, returDocument.doc)" jhiTranslate="entity.action.open">open</a>
                {{returDocument.docContentType}}, {{byteSize(returDocument.doc)}}
            </div>
        </dd>
        <dt><span jhiTranslate="mpmApp.returDocument.docname">Docname</span></dt>
        <dd>
            <span>{{returDocument.docname}}</span>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'retur-document/'+ returDocument.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
